import React from "react";

import { NavPanel } from '../components/nav-panel'

import logo from '../assets/logo_1x.png'
import logo2x from '../assets/logo_2x.png'
import logo4x from '../assets/logo_4x.png'
import cucumber from '../assets/cucumber.png'

export const LandingPage = () => {
  return (
    <>
      <header id="header">
        <img
          className="logo"
          height="44px"
          width="227"
          src={logo4x}
          alt="Логотип. Надпись Рик и Морти"
          srcSet={`
            ${logo} 220w,
            ${logo2x} 445w,
            ${logo4x} 880w,
          `}
          sizes="
          (max-width: 240px) 100px,
          (min-width: 320px) 440px,
          (min-width: 520px) 880px
        "
        />
        <NavPanel />
      </header>

      <main className="main">
        <header className="card card-main">
          <div className="card-text">
            <h1 className="h1">
              Персонажи из <br />
              <span className="brand-text">огурчиковой вселенной</span>
            </h1>

            <p className="p card--text__p">
              На этой странице представлены персонажи из сериала “
              <a className="link" href="#">
                Rick and Morty
              </a>
              ”. Этот популярный анимационный сериал, созданный Джастином
              Ройландом и Дэном Хармоном, рассказывает о приключениях Рика
              Санчеза, гениального и эксцентричного ученого, и его внука Морти
              Смита.
            </p>
          </div>
          <img className="card--img" src="./assets/cucumber.png" alt="" />
        </header>
        <article className="card card__toRight">
          <div className="card-text">
            <h1 className="h1">
              Персонажи из <br />
              <span className="brand-text">огурчиковой вселенной</span>
            </h1>

            <p className="p card--text__p">
              На этой странице представлены персонажи из сериала “
              <a className="link" href="#">
                Rick and Morty
              </a>
              ”. Этот популярный анимационный сериал, созданный Джастином
              Ройландом и Дэном Хармоном, рассказывает о приключениях Рика
              Санчеза, гениального и эксцентричного ученого, и его внука Морти
              Смита.
            </p>
          </div>
          <img className="card--img" src={cucumber} alt="" />
        </article>
      </main>

      <aside></aside>
      <footer className="page-footer"></footer>
    </>
  );
};
